# List cross-sheet references

Lists all cross-sheet references for the sheet.

> Note: For pagination guidance, refer to Pagination.

Endpoint: GET /sheets/{sheetId}/crosssheetreferences
Version: 2.0.0
Security: APIToken, OAuth2

## Path parameters:

  - `sheetId` (number, required)
    ID of the sheet being accessed.

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Query parameters:

  - `includeAll` (boolean)
    If true, include all results, that is, do not paginate. Mutually exclusive with page and pageSize (they are ignored if includeAll=true is specified).

  - `page` (number)
    Which page to return. Defaults to 1 if not specified. If you specify a value greater than the total number of pages, the last page of results is returned.

  - `pageSize` (number)
    The maximum number of items to return per page. Unless otherwise stated for a specific endpoint, defaults to 100. If only page is specified, defaults to a page size of 100. For reports, the default is 100 rows. If you need larger sets of data from your report, returns a maximum of 10,000 rows per request.

## Response 200 fields (application/json):

  - `pageNumber` (number)
    The current page in the full result set that the data array represents. NOTE when a page number greater than totalPages is requested, the last page is instead returned.
    Example: 1

  - `pageSize` (number,null)
    The number of items in a page. Omitted if there is no limit to page size (and hence, all results are included). Unless otherwise specified, this defaults to 100 for most endpoints.
    Example: 50

  - `totalPages` (number)
    The total number of pages in the full result set.
    Example: 25

  - `totalCount` (number)
    The total number of items in the full result set.
    Example: 136

  - `data` (array)

  - `data.endColumnId` (number)
    Defines ending edge of range when specifying one or more columns. To specify an entire column, omit the startRowId and endRowId parameters.

  - `data.endRowId` (number)
    Defines ending edge of range when specifying one or more rows. To specify an entire row, omit the startColumnId and endColumnId parameters.

  - `data.id` (number)
    Cross-sheet reference ID, guaranteed unique within referencing sheet.

  - `data.name` (string)
    Friendly name of reference. Auto-generated unless specified in Create Cross-sheet References.

  - `data.startColumnId` (number)
    Defines beginning edge of range when specifying one or more columns. To specify an entire column, omit the startRowId and endRowId parameters.

  - `data.startRowId` (number)
    Defines beginning edge of range when specifying one or more rows. To specify an entire row, omit the startColumnId and endColumnId parameters.

  - `data.status` (string)
    Status of request:
 * 'BLOCKED' - A reference is downstream of a circular issue.
 * 'BROKEN' - The data source location (column, row or sheet) was deleted.
 * 'CIRCULAR' - The formula reference is self referencing and cannot be resolved.
 * 'DISABLED' - Updating the reference is temporarily disabled due to maintenance.
 * 'INVALID/UNKNOWN' - The reference is new and had not been validated.
 * 'NOT_SHARED' - No common shared users.
 * 'OK' - The reference is in a good state.
    Enum: "BLOCKED", "BROKEN", "CIRCULAR", "DISABLED", "INVALID/UNKNOWN", "NOT-SHARED", "OK"

  - `data.sourceSheetId` (number)
    Sheet ID of source sheet.

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


